import { IPublicTypeResourceType } from '@alilc/lowcode-types';
export interface IResourceType extends Omit<IPublicTypeResourceType, 'resourceName' | 'resourceType'> {
    name: string;
    type: 'editor' | 'webview';
    resourceTypeModel: IPublicTypeResourceType;
}
export declare class ResourceType implements IResourceType {
    readonly resourceTypeModel: IPublicTypeResourceType;
    constructor(resourceTypeModel: IPublicTypeResourceType);
    get name(): string;
    get type(): "webview" | "editor";
}
